<div class="users-content-space">
  <block-ui message="Loading...">
  </block-ui>
  <div class="alert-wrapper">
    <app-alert [message]="message" [type]="type" id="alert"></app-alert>
  </div>
  <div>
    <h3 class="mb-3 mt-3" id="heading">
      Staffs
    </h3>


    <mat-tab-group color="warn">
      <mat-tab *appAccess="STAFF_MEMBER; lookFor: _any" label="Our Group">
        <div class="row mt-3">
          <div class="col-xl-12">
            <div class="d-flex align-items-center">
              <div class="ml-auto">
                <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="ml-3"
                                         [(ngModel)]="status" (change)="staffActiveChanged($event);">
                  <mat-button-toggle value="active" id="mat-button-toggle-11">
                    Active
                  </mat-button-toggle>
                  <mat-button-toggle value="inactive" id="mat-button-toggle-12">
                    Inacitve
                  </mat-button-toggle>
                </mat-button-toggle-group>
              </div>
              <div class="ml-3">
                <button mat-raised-button color="accent" *appAccess="STAFF_MEMBER; lookFor: 'C'" [routerLink]="['/staffs/add']" class="wide">
                  Add
                  Staff
                </button>
              </div>
            </div>
          </div>
        </div>

        <div class="row mt-3" *ngIf="displaySelection == 'list'">
          <div class="col-xl-12">
            <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="true"
                        (pageChange)="pageChange($event)" [sortable]="{
                            allowUnsort: allowUnsort,
                            mode: multiple ? 'multiple' : 'single'
                            }" [sort]="sort" (sortChange)="sortChange($event)" [filterable]="true"
                        [filter]="state.filter" (dataStateChange)="dataStateChange($event)" [groupable]="true"
                        [group]="groups" [reorderable]="reorder" (groupChange)="groupChange($event)">
              <kendo-grid-column field="firstName" title="Staff Name" width="50">
                <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                  <a *ngIf="hasPermission(STAFF_MEMBER, 'E'); else normalName" [routerLink]="['/staffs/', dataItem.id]">
                    {{ dataItem.firstName }} {{dataItem.lastName}}
                  </a>
                  <ng-template #normalName>
                    {{ dataItem.firstName }} {{dataItem.lastName}}
                  </ng-template>
                </ng-template>
              </kendo-grid-column>
              <!-- <kendo-grid-column field="mobile" title="Mobile" width="50">
</kendo-grid-column> -->
              <kendo-grid-column field="position" title="Position" width="50">
              </kendo-grid-column>
              <kendo-grid-column field="locations" title="Locations" width="50" [style]="{ 'position': 'relative'}">
                <ng-template kendoGridCellTemplate let-dataItem>
                  <div class="d-flex flex-column">
                    <div class="flex-fill" *ngFor="let data of dataItem.location">
                      {{data.locationName}}
                    </div>
                  </div>
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="roles" title="Roles" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                  <div *ngFor="let data of dataItem.location">
                                        <span *ngFor="let role of data.roles; let i=index;">
                      {{role.roleName + (i < (data.roles.length - 1) ? ", " : '')}}
                    </span>
                  </div>
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="specialities" title="Speciality" width="50">
                <ng-template kendoGridCellTemplate let-dataItem>
                  <div *ngFor="let data of dataItem.location">
                    <div *ngFor="let role of data.roles; let i=index;">
                                            <span *ngFor="let splt of role.specialities; let i=index;">
                      {{splt + (i < (role.specialities.length - 1) ? ", " : '')}}
                    </span>
                    </div>
                  </div>
                </ng-template>
              </kendo-grid-column>
              <kendo-grid-column field="licence" title="Licence" width="50">
              </kendo-grid-column>
              <kendo-grid-column field="practitioners" title="Scheduler Access" width="50">
                <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                  <div *ngFor="let data of dataItem.location">
                                        <span *ngFor="let schedulerAccess of data.practitionersAccess; let i=index;">
                      {{schedulerAccess + (i < (data.practitionersAccess.length - 1) ? ", " : '')}}
                    </span>
                  </div>
                </ng-template>
              </kendo-grid-column>
            </kendo-grid>
          </div>
        </div>

        <div class="row mt-3" *ngIf="displaySelection == 'pic'">
          <div class="col-xl-12 mt-1 mb-1">
            <p>Showing 12 of 120 staffs</p>
          </div>
          <div class="col-xl-3 mb-4" *ngFor="let key of [1,2,3,4,5,6,7,8,9,10,11,12]">
            <div class="p-4 grey-rounded-border">
              <img src="../../../../../assets/placeholder-image.png" class="img-fluid"/>

              <h5 class="mt-3">Name</h5>
              <p>Title</p>
              <p>
                Descrption....
              </p>
              <div class="d-flex align-items-center mb-3">
                                <span class="d-inline-block color mr-3">
                </span>
                <span class="d-inline-block">Mon-Fri</span>
              </div>
              <p>0400 000 000</p>
            </div>
          </div>
          <mat-paginator [length]="120" [pageSize]="12" [pageSizeOptions]="[12, 24, 36, 48]">
          </mat-paginator>
        </div>

      </mat-tab>
      <mat-tab *appAccess="STAFF_ROLE_N_PERMISSION; lookFor: _any" label="Roles and Permissions">
        <app-roles-and-permissions></app-roles-and-permissions>
      </mat-tab>
    </mat-tab-group>
  </div>
</div>

<!-- DIALOG -->
<kendo-dialog *ngIf="isOpenSchedulerGuidePopup" [width]="778" [height]="290">

  <div class="h-100 position-relative" style="padding: 0 4px">
    <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
      <div class="dialog-title text-uppercase flex-fill quicksand normal_18px_font text-black">
        Setup Practitioner Schedule
      </div>
      <button mat-icon-button class="modalClosebtn" (click)="closeScheduleGuideDialog()"
              style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
        <mat-icon class="m-0">close</mat-icon>
      </button>
    </div>
    <mat-divider></mat-divider>

    <div style=" max-height: 157px; min-height: 157px; padding: 10px 0; overflow: hidden; overflow-y: auto;">
      <div class="text-black normal_14px_16px_font helvetica-neue-regular">
        You can create schedule for this practitioner by using the links below.
      </div>

      <div style="margin-top: 20px;">
        <div class="d-flex align-items-center"
             *ngFor="let data of recentlyAddedData.applicationUsersLocationModel; let i=index;">
          <a role="button" class="mb-2 d-flex align-items-center" (click)="setupSchedule(data)">
            Set {{data['locationName']}} Schedules
            <mat-icon class="ml-1 mb-0">keyboard_arrow_right</mat-icon>
          </a>
        </div>
      </div>

      <div class="text-right w-100 position-absolute" style="bottom: 0;">
        <mat-divider></mat-divider>
        <button mat-raised-button color="accent" class="mt-3 btnheight dialog-btn" (click)="closeScheduleGuideDialog()">
          Ok
        </button>
      </div>
    </div>
  </div>

</kendo-dialog>
<!-- DIALOG -->
